Bug 1012263 - jon server process cannot be stopped by rhqctl after failed server install
jon server process cannot be stopped by rhqctl after failed server install
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Installer (Show other bugs)
JON 3.2
sparc64 Solaris
high Severity high
: ER03
: JON 3.2.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 02:35 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
solaris-server_process.png (224.56 KB, image/png)
2013-09-26 02:35 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-09-26 02:35:06 EDT
Created attachment 803252 [details]
solaris-server_process.png

Description of problem:
jon server process cannot be stopped by rhqctl after  failed server install

Version-Release number of selected component (if applicable):
JON 3.2 ER1

How reproducible:
always

Steps to Reproduce:
1. install and start storage with agent
2. install server so that it fails 
3. run rhqctl stop --server
4. run rhqctl stop

Actual results:
After step3. Log shows server is not installed 
After step4. Storage and agent processes stopped, server stop ignored, rhq-server.pid visible, java process is active.

Expected results:
rhq-server.pid should be removed, server process should be stopped

Additional info:
screen-shot attached
Comment 2 Jay Shaughnessy 2013-10-07 14:19:14 EDT
I believe this was fixed in master in commit e7f55.  Although, I think that may have been in ER1, I'm not sure.

Regardless, the new revert-failed-install logic, and to a degree, the default stopping of services by the install command, probably solve this problem.  Moving to modified for ER3.
Comment 3 Simeon Pinder 2013-10-08 03:42:02 EDT
Moving to ON_QA for testing.
Comment 4 Armine Hovsepyan 2013-10-09 08:46:07 EDT
verified (no testing is needed) - server processes are not started if install failed.

Note You need to log in before you can comment on or make changes to this bug.